<?php
class PerelinkPluginWorkAfterText extends PerelinkPluginBaseClass {
	private $options;
	private $source;

	public function __construct($options, $source) {
		$this->options = $options;
		$this->source  = $source;
	}

	function mb_ucfirst($str) {
	    $fc = mb_strtoupper(mb_substr($str, 0, 1));
	    return $fc.mb_substr($str, 1);
	}

	public function work($content) {
		global $db;

		$body = '';

		// выключаем в постах с ид в afterTextExcludePost
		if ((isset($_GET['newsid'])) && (in_array($_GET['newsid'], explode(',', $this->options['afterTextExcludePost'])))) {
			return;
		}

		// выключаем в постах с категориями в ид afterTextExcludeCategory
		$postCategory = $db->super_query( "SELECT `category` FROM " . USERPREFIX . "_post WHERE id = '" . (int)$_GET['newsid'] . "'" );
		if (!empty($postCategory['category'])) {
			foreach (explode(',', $postCategory['category']) as $postCategoryId) {
				if (in_array($postCategoryId, explode(',', $this->options['afterTextExcludeCategory']))) {
					return;
				}
			}
		}

		if (!empty($this->options['afterTextOutputStyle'])) {
			$body .= '<style type="text/css">' . $this->options['afterTextOutputStyle'] . '</style>' . "\n";
		}

		if ($this->options['afterTextOutputLayout'] == 'manual') {
			$body .= $this->options['afterTextOutputBeforeList'] . "\n";
		} else {
			$body .= '<div class="box prl_box">' . "\n";
		}

		if (!empty($this->options['afterTextOutputTitle'])) {
			$body .= "\t" . '<div class="prl_heading">' . $this->options['afterTextOutputTitle'] . '</div>' . "\n";
		}

		if (!sizeof($this->source)) return;

		// обрезаем до количества
		if (!empty($this->options['afterTextLinkCount'])) {
			$this->source = array_slice($this->source, 0, $this->options['afterTextLinkCount']);
		}

		if (($this->options['afterTextOutputLayout'] == 'auto') && ($this->options['afterTextOutputOrientation'] == 'vertical')) {
			$body .= '<ul class="prl_ul">';
		}

		foreach ($this->source as $link) {
			$link->anchor = $this->mb_ucfirst($link->anchor);

			$title = '';

			if ( $this->options['inContentTitleSource'] == 'keyword' ) {
				$title = $this->item->keywords;
			}

			if ($this->options['afterTextOutputLayout'] == 'auto') {
				// auto - Предустановленная
				if ($this->options['afterTextOutputOrientation'] == 'horizontal') {
					// Горизонтальная
					$body .= "\t\t" . '<div class="prl_block w25"><a href="' . $link->url . '"' . ( empty( $title ) ? '' : ' title="' . $title . '"' ) . ' class="prl_href">' . $link->anchor . '</a></div>' . "\n";

				} elseif ($this->options['afterTextOutputOrientation'] == 'vertical') {
					// Вертикальная
					$body .= "\t\t" . '<li><a href="' . $link->url . '"' . ( empty( $title ) ? '' : ' title="' . $title . '"' ) . ' class="prl_href">' . $link->anchor . '</a></li>' . "\n";

				}
			} else {
				// manual - Произвольная
				// $body .= '12123';
				$body .= "\t\t" . $this->options['afterTextOutputBeforeListItem'] . '<a href="' . $link->url . '"' . ( empty( $title ) ? '' : ' title="' . $title . '"' ) . ' class="prl_href">' . $link->anchor . '</a>' . $this->options['afterTextOutputAfterListItem'] . "\n";
			}
		}

		if (($this->options['afterTextOutputLayout'] == 'auto') && ($this->options['afterTextOutputOrientation'] == 'vertical')) {
			$body .= '</ul>';
		}

		if ($this->options['afterTextOutputLayout'] == 'manual') {
			$body .= $this->options['afterTextOutputAfterList'] . "\n";
		} else {
			$body .= '</div>' . "\n";
		}

		// print_r($this->options);

		return $body;
	}
}
