<?php 
	require_once dirname( __FILE__ ) . '/../inc/options.php';

	require_once dirname( __FILE__ ) . '/../helpers/CurlHelper.php';
	require_once dirname( __FILE__ ) . '/../helpers/UrlHelper.php'; 

	require_once dirname( __FILE__ ) . '/../class/PerelinkPluginBaseClass.php';
	require_once dirname( __FILE__ ) . '/../class/PerelinkPluginSource.php';
	require_once dirname( __FILE__ ) . '/../class/PerelinkPluginRelation.php';
	require_once dirname( __FILE__ ) . '/../class/PerelinkPluginWorkInContent.php';
	require_once dirname( __FILE__ ) . '/../class/PerelinkPluginWorkAfterText.php';

	$perelinkObj = new PerelinkPluginSource($params);

	$linksInText = $perelinkObj->getInContent();
	$linksAfterText = $perelinkObj->getAfterText();
	
	$perelink_block = '';
	$tpl->set( '{perelink_block}', '' );

	if (isset($_GET['do']) && ($_GET['do'] == 'static')) {
		$template = '<index>' . $template . '</index>';
	} elseif (isset($_GET['newsid'])) {
		$row['full_story'] = '<index>' . $row['full_story'] . '</index>';
	}

	// текущая страница - Статическая страница и в настройках включена обработка
	if (isset($_GET['do']) && ($_GET['do'] == 'static') && (in_array('page', $params['pageType']))) {
		$perelinkWITObj = new PerelinkPluginWorkInContent($params, $linksInText);
		$template = $perelinkWITObj->work($template);

		// проверяем, нужно ли выводить ссылки после текста
		if ($params['afterTextEnabled']) {
			$perelinkWATObj = new PerelinkPluginWorkAfterText($params, $linksAfterText);
			$perelink_block = $perelinkWATObj->work();

			if ($params['afterTextMode'] == 'auto') {
				// после текста
				$template .= $perelink_block;
			} else {
				// в блок
				$tpl->set( '{perelink_block}', $perelink_block );
			}
		}

	// текущая страница - Пост и в настройках включена обработка
	} elseif (isset($_GET['newsid']) && (in_array('post', $params['pageType']))) {
		$perelinkWITObj = new PerelinkPluginWorkInContent($params, $linksInText);
		$row['full_story'] = $perelinkWITObj->work($row['full_story']);

		// проверяем, нужно ли выводить ссылки после текста
		if ($params['afterTextEnabled']) {
			$perelinkWATObj = new PerelinkPluginWorkAfterText($params, $linksAfterText);
			$perelink_block = $perelinkWATObj->work();

			if ($params['afterTextMode'] == 'auto') {
				// после текста
				$row['full_story'] .= $perelink_block;
			} else {
				// в блок
				$tpl->set( '{perelink_block}', $perelink_block );
			}
		}
	}
?>